Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.service
Class RemoteResource

    java.lang.Object
      weblogic.security.service.ResourceBase
          weblogic.security.service.RemoteResource

All Implemented Interfaces:
  Serializable, Resource, SelfDescribingResource, SelfDescribingResourceV2

    public final class RemoteResource

extends ResourceBase

The `RemoteResource` class is used by WLS to represent a service endpoint that is not deployed on the local WLS server. This resource representation, among other things, is used to retrieve credentials that the client (on WLS) can used to communicate with the remote service endpoint.

The `toString` format (which is produced by the `ResourceBase` class) for a Remote resource is:
`type=<remote>, protocol=http, remoteHost=myHost, remotePort=7001, path=/myWebapp/myWS, method=myMethod`

See Also:
  Serialized Form

Field Summary

Fields inherited from class weblogic.security.service.ResourceBase
`id, length, NO_PARENT, parent, resStr, SCOPE_RESOURCE_ACTION, values`

Fields inherited from interface weblogic.security.spi.SelfDescribingResource
`LIST_FIELD_TYPE, NORMAL_FIELD_TYPE, PATH_FIELD_TYPE, UNDEFINED_FIELD_TYPE`

Constructor Summary
`RemoteResource(String protocol, String remoteHost, String remotePort, String path, String method)` Constructs a new `RemoteResource` with a target name composed from the `protocol`, `remoteHost`, `remotePort`, `path`, and `method` parameters.

Method Summary
`boolean` | `equals(Object obj)` Compares this resource to the resource in the specified object.
`int` | `getFieldType(String fieldName)` Returns if field name queried is a normal field type or if it is a path field type.
`String[]` | `getKeys()` Gets keys for the `Remoteresource`.
`String` | `getMethod()` Gets the method of the `RemoteResource` to be accessed.
`String` | `getPath()` Gets the path of the `RemoteResource`.
`String` | `getProtocol()` Gets the transport protocol required to access the `RemoteResource`.
`String` | `getRemoteHost()` Gets the host name of the `RemoteResource`.
`String` | `getRemotePort()` Gets the port of the `RemoteResource`.
`int` | `getRepeatingFieldIndex()` Returns the index into the keys of the field whose value repeats in the parent hierarchy of the `Remoteresource`.
`int` | `getRepeatingFieldTerminatingIndex()` Returns the terminating index of the repeating field.
`String` | `getType()` Gets the type of this resource (`RemoteResource`).
`protected void` | `init(String[] values, int len, long seed, String method, boolean showAction)`
`protected Resource` | `makeParent()` Gets a `Resource` object that represents the parent of the current `RemoteResource`.
`protected void` | `writeResourceString(StringBuffer buf)` Writes a string representation of the resource to buffer.

Methods inherited from class weblogic.security.service.ResourceBase
`appendArrayValue, appendValue, getID, getParentResource, getValues, hashCode, init, init, isTransitiveField, reset, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoteResource

    public RemoteResource(String protocol,
                          String remoteHost,
                          String remotePort,
                          String path,
                          String method)

  Constructs a new `RemoteResource` with a target name composed from the `protocol`, `remoteHost`, `remotePort`, `path`, and `method` parameters.

  Parameters:
    `protocol` - a String indicating the protocol that will be used to communicate with the remote resource

    `remoteHost` - a String indicating the hostname for the remote resource

    `remotePort` - a String indicating the port for the remote resource

    `path` - a String indicating the path for the the remote resource

    `method` - a String indicating the method being accessed on the the remote resource

Method Detail

### init

    protected void init(String[] values,
                        int len,
                        long seed,
                        String method,
                        boolean showAction)

### getType

    public String getType()

  Gets the type of this resource (`RemoteResource`).

  Returns:
    the type of this resource, represented as a String.

### makeParent

    protected Resource makeParent()

  Gets a `Resource` object that represents the parent of the current `RemoteResource`. If the resource does not have a parent, the value of `null` must be returned.

  The parentage hierarchy for the `RemoteResource` (that is, the values returned from successive calls to this method) is:

  `type=<remote>, protocol=http, remoteHost=myHost, remotePort=7001, path=/myWebapp/myWS, method=myMethod
  type=<remote>, protocol=http, remoteHost=myHost, remotePort=7001, path=/myWebapp/myWS
  type=<remote>, protocol=http, remoteHost=myHost, remotePort=7001, path=/myWebapp, method=myMethod
  type=<remote>, protocol=http, remoteHost=myHost, remotePort=7001, path=/myWebapp
  type=<remote>, protocol=http, remoteHost=myHost, remotePort=7001, method=myMethod
  type=<remote>, protocol=http, remoteHost=myHost, remotePort=7001
  type=<remote>, protocol=http, remoteHost=myHost, method=myMethod
  type=<remote>, protocol=http, remoteHost=myHost
  type=<remote>, protocol=http, method=myMethod
  type=<remote>, protocol=http
  type=<remote>, method=myMethod
  type=<remote>`

  Overrides:
    `makeParent` in class `ResourceBase`
  Returns:
    the `Resource` object of the parent resource.

### getKeys

    public String[] getKeys()

  Gets keys for the `Remoteresource`.

  Specified by:
    `getKeys` in interface `Resource`
  Specified by:
    `getKeys` in class `ResourceBase`
  Returns:
    an array of Strings containing the `RemoteResource`'s keys.

### getFieldType

    public int getFieldType(String fieldName)

  Returns if field name queried is a normal field type or if it is a path field type.

  If the fields are slash separated and are part of the inheritance hierarchy of the resources, it is a field type If not then the field is returned as a normal field type.

  Specified by:
    `getFieldType` in interface `SelfDescribingResource`
  Overrides:
    `getFieldType` in class `ResourceBase`
  Parameters:
    `fieldName` - the field name whose type is being queried on
  Returns:
    the field type

  See Also:
    `SelfDescribingResource`

### getRepeatingFieldIndex

    public int getRepeatingFieldIndex()

  Returns the index into the keys of the field whose value repeats in the parent hierarchy of the `Remoteresource`.

  Specified by:
    `getRepeatingFieldIndex` in interface `SelfDescribingResource`
  Overrides:
    `getRepeatingFieldIndex` in class `ResourceBase`
  Returns:
    an the index of the field that repeats in the parent hierarchy of the `Remoteresource`.

### getRepeatingFieldTerminatingIndex

    public int getRepeatingFieldTerminatingIndex()

  Returns the terminating index of the repeating field.

  Specified by:
    `getRepeatingFieldTerminatingIndex` in interface `SelfDescribingResource`
  Overrides:
    `getRepeatingFieldTerminatingIndex` in class `ResourceBase`
  Returns:
    the terminating index of the repeating field

### getProtocol

    public String getProtocol()

  Gets the transport protocol required to access the `RemoteResource`.

  Returns:
    the transport protocol to access the `RemoteResource`.

### getRemoteHost

    public String getRemoteHost()

  Gets the host name of the `RemoteResource`.

  Returns:
    the host name of the `RemoteResource`.

### getRemotePort

    public String getRemotePort()

  Gets the port of the `RemoteResource`.

  Returns:
    the port of the `RemoteResource`.

### getPath

    public String getPath()

  Gets the path of the `RemoteResource`.

  Returns:
    the path of the `RemoteResource`.

### getMethod

    public String getMethod()

  Gets the method of the `RemoteResource` to be accessed.

  Returns:
    the method of the `RemoteResource` to be accessed.

### equals

    public boolean equals(Object obj)

  Compares this resource to the resource in the specified object.

  Specified by:
    `equals` in interface `Resource`
  Overrides:
    `equals` in class `ResourceBase`
  Parameters:
    `obj` - the other resource with which to compare this resource.

  Returns:
    `TRUE` if the resource passed in matches this resource, and `FALSE` otherwise.

  See Also:
    `Object.equals(Object)`

### writeResourceString

    protected void writeResourceString(StringBuffer buf)

  Description copied from class: `ResourceBase`
  Writes a string representation of the resource to buffer.

  Subclasses should override this method if their string representation is different.

  Overrides:
    `writeResourceString` in class `ResourceBase`
  Parameters:
    `buf` - buffer to write to.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD